Softube 2.0 Released (AAX 64-bit support)

Softube, one of the best audio hardware and software developers in the industry, has just release a big 2.0 software update.  This is great news for those Pro Tools 11 users that have been patiently waiting for support from their favorite plugins.  There has been a lot of funky info floating around about the new AAX format, and we suggest that you check our FAQ here to have your questions answered. Get the 2.0 update here

For those of you who have not yet had the pleasure of using Softube plugins, here is a little freebee that's sure to get you hooked: Softube Saturation Knob plug-in

More info from Softube about there 2.0 release:

Softube plug-ins version 2.0: - Same world class sound as before - Vastly improved CPU performance for most plug-ins on all plug-in formats - AAX 64 bit support - Free upgrade - Unchanged prices - 20 day trial license available to all (requires iLok)

Make sure to Download version 2 now!

Softube 2.0 System Requirements:

All native versions - Mac OS X 10.6, 10.7 or 10.8, with the latest updates. - Windows 8, Windows 7 (latest Service Pack, 32/64 Bit) - Intel Core Duo, AMD Athlon 64 X2 or newer - Screen resolution larger than 1280x800 - Any VST, VST3, AU, RTAS (Pro Tools 9) or AAX (Pro Tools 10.3.7, 11.0.2 or higher) compatible host application - iLok USB key and the latest iLok License Manager (download them from www.ilok.com) - Broadband internet access for downloading installer and register licenses.

All Softube plug-ins support both 32- and 64-bit hosts and operating systems. Supported sample rates: 44.1, 48, 88.2, 96, 176.4 and 192 kHz, in both mono and stereo.

Please, make sure that you always use the latest iLok License Manager. It is not included in the Softube installer, but can be downloaded from www.ilok.com.

AAX DSP version - For AAX DSP you need to meet the reguirements for the Native version. You also need to have an Avid HDX processing card. For plug-ins available for AAX DSP, see Which Softube plug-ins support AAX DSP? - Different plug-ins will have a different load on your HDX card, please see the AAX DSP Supported Instances per DSP card for more information

TDM version - Please see the Legacy Installers page for available plug-ins - For requirements and TDM CPU consumption please see the Softube Plug-ins Manual

Windows XP and Vista are no longer officially supported.

We'd love to hear about your experience with Softube.  Please comment below!

Learn more about Softube on their website here